@import "@styles/base/colors";
@import "@styles/base/typography.scss";

// Slider
.customWrapper {
  height: 438px;
  max-height: 450px;
  max-width: 1502px;
  margin-bottom: 75px;
  box-sizing: border-box !important;
}

.customDots {
  width: 100%;
  display: flex !important;
  justify-content: center;
  margin: 15px;

  .dotsUl {
    width: 100%;
    max-width: 617px;
    display: flex;
    border-radius: 100px;
    overflow: hidden;

    .dotWrapper {
      width: 100%;
      height: 5px;
    }

    .customDot {
      width: 100%;
      height: 5px;
      background-color: $lightBlueColor;
    }

    & li {
      width: 100%;
      background-color: grey;
      cursor: pointer;
      margin-right: 10px;
    }

    .activeDot {
      border-radius: 100px;
      overflow: hidden;

      .customDot {
        background: $greyText !important;
      }
    }
  }
}

.customArrow {
  width: 40px !important;
  height: 40px !important;
  display: flex !important;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  border: 2px solid $greyText !important;
  top: calc(50% - 20px) !important;

  &::before {
    content: "" !important;
  }
}

.disabled {
  border: 2px solid $lightBlueColor !important;

  svg {
    path {
      stroke: $lightBlueColor;
    }
  }
}

// Slider Cards
.card {
  max-width: 202px !important;
  height: 202px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  border-radius: 10px;
  border: 1px solid #b3c1e3;
  margin: 0 5px 15px 0;
  padding: 0 10px;
  cursor: pointer;
}

.cardStatic {
  // height: 100%;
  // max-height: 202px;
  // justify-content: center !important;
  // align-items: center !important;
  border: 2px dashed #2054d7;

  .plusIcon {
    margin-top: 90px;
  }

  .text {
    width: 100%;
    text-align: center;
    @include font($fontGotham, 14px, 16.8px);
    color: $primaryColor;
    // margin-top: 0px;
    // margin-bottom: 60px;

    white-space: nowrap;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
  }
}

.cardUser {
  padding: 20px 10px 18px;

  .image {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-bottom: 18px;
    overflow: hidden;

    & > img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .name {
    width: 100%;
    @include font($fontGotham, 20px, 24px);
    color: $primaryColor;
    text-align: center;
    margin-bottom: 3px;

    white-space: nowrap;
    overflow: hidden;
    -o-text-overflow: ellipsis;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
  }

  .level {
    @include font($fontGotham, 14px, 17px);
    color: $greyColor;
  }
}

.selected {
  background: $background;
  border: 1px solid $primaryColor;
  box-sizing: border-box;
  box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
}
